﻿@model AHCBL.Dto.Admin.DashboardDto
@{
    ViewBag.Title = "Dashboard";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">관리자메인 / ผู้ดูแลระบบหลัก</h5>
                    </div>
                </div>
                <div class="col-md-12 col-lg-12 col-xl-12">
                    <div class="xp-alert mt-3">
                        <h3>신규가입회원 5건 목록</h3>
                        <div class="alert alert-light" role="alert">
                            <p>
                                총회원수 @ViewBag.MemberNo 명 중 차단 0명, 탈퇴 : 0명
                            </p>
                        </div>
                    </div>
                </div>
                <div class="card-body" style="margin-top:-20px;">
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:150px;">회원아이디 / รหัสสมาชิก</th>
                                    <th class="align-middle">이름 / ชื่อ</th>
                                    <th class="align-middle" style="width:150px;">닉네임 / ชื่อเล่น</th>
                                    <th class="align-middle" style="width:90px;">권한 / อำนาจ</th>
                                    <th class="align-middle" style="width:90px;">포인트 / จุด</th>
                                    <th class="align-middle" style="width:90px;">수신 / แผนกต้อนรับ</th>

                                    <th class="align-middle" style="width:150px;">공개 / เปิด</th>
                                    <th class="align-middle" style="width:90px;">인증 / รับรอง</th>
                                    <th class="align-middle" style="width:90px;">차단 / บล็อก</th>
                                    <th class="align-middle" style="width:90px;">그룹 / กลุ่ม</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.tab1.Count() != 0)
                                {
                                    for (int i = 0; i < Model.tab1.Count; i++)
                                    {
                                        if (i < ViewBag.rows)
                                        {
                                            <tr class="text-center">
                                                <td> @Html.DisplayFor(modelItem => Model.tab1[i].username)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab1[i].fullname) </td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab1[i].nickname) </td>
                                                <td>  10</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab1[i].point) </td>
                                                <td> 예</td>
                                                <td> 예</td>
                                                <td> 아니오</td>
                                                <td> 아니오</td>
                                                <td> </td>
                                            </tr>
                                        }
                                    }

                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="10">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    <button type="button" onclick="location.href='@Url.Action("Index", "MemberList")'" class="float-right btn btn-outline-warning">회원 전체보기</button>
                </div>
                <div class="col-md-12 col-lg-12 col-xl-12">
                    <div class="xp-alert mt-3">
                        <h3>최근게시물</h3>
                    </div>
                </div>
                <div class="card-body" style="margin-top:-20px;">
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:150px;">그룹 / กลุ่ม</th>
                                    <th class="align-middle">게시판 / กระดานป้ายติดประกาศ</th>
                                    <th class="align-middle">제목 / หัวข้อ</th>
                                    <th class="align-middle" style="width:200px;">이름 / ชื่อ</th>
                                    <th class="align-middle" style="width:200px;">일시 / วันที่สร้าง</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.tab2.Count() != 0)
                                {
                                    for (int i = 0; i < Model.tab2.Count; i++)
                                    {
                                        if (i < ViewBag.rows)
                                        {
                                            <tr class="text-center">
                                                <td> @Html.DisplayFor(modelItem => Model.tab2[i].grp_name)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab2[i].app_name)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab2[i].title)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab2[i].create_by)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab2[i].create_date)</td>
                                            </tr>
                                        }
                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="5">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    <button type="button" onclick="location.href='@Url.Action("Index", "PostList")'" class="float-right btn btn-outline-warning">최근게시물 더보기</button>
                </div>
                <div class="col-md-12 col-lg-12 col-xl-12">
                    <div class="xp-alert mt-3">
                        <h3>최근 포인트 발생내역</h3>
                        <div class="alert alert-light" role="alert">
                            <p>
                                전체 @ViewBag.PointNo 건 중
                                @{
                                    if (Convert.ToInt32(ViewBag.PointNo) < Convert.ToInt32(ViewBag.rows))
                                    {
                                        <span>@ViewBag.PointNo</span>
                                    }
                                    else
                                    {
                                        <span>@ViewBag.rows</span>
                                    }

                                } 건 목록
                            </p>
                        </div>
                    </div>
                </div>
                <div class="card-body" style="margin-top:-20px;">
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                    <th class="align-middle" style="width:200px;">이름 / ชื่อ</th>
                                    <th class="align-middle" style="width:150px;">닉네임 / ชื่อเล่น</th>
                                    <th class="align-middle" style="width:150px;">일시 / วันที่สร้าง</th>
                                    <th>포인트 내용 / ชี้เนื้อหา</th>
                                    <th class="align-middle" style="width:150px;">포인트 / จุด</th>
                                    <th class="align-middle" style="width:150px;">포인트합 / ผลรวมของคะแนน</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.tab3.Count() != 0)
                                {
                                    for (int i = 0; i < Model.tab3.Count; i++)
                                    {
                                        if (i < ViewBag.rows)
                                        {
                                            <tr class="text-center">
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_username)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_name)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_nickname)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_create_date)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_detail)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_amount)</td>
                                                <td> @Html.DisplayFor(modelItem => Model.tab3[i].p_total)</td>
                                            </tr>
                                        }
                                    }

                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="7">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    <button type="button" onclick="location.href='@Url.Action("Index", "PointList")'" class="float-right btn btn-outline-warning">포인트내역 전체보기</button>
                </div>
            </div>
        </div>
        <!-- End XP Col -->
    </div>
</div>

<script>
    $(function () {
        $("#liDashboard").addClass("active");
                                });
</script>
